# Awesome Kinesis [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome) ![GitHub last commit](https://img.shields.io/github/last-commit/bbbbbrie/awesome-kinesis.svg)

> A curated list of projects, resources and references for Kinesis keyboard enthusiasts (unofficial, not affiliated with Kinesis)

## Keyboard Mod Projects
*Source code, write-ups and recaps from bold adventurers who have modded their keyboards. In many cases, the details are sufficient for these to serve as walkthroughs.*
-   [Access the on-board drive](https://gist.github.com/nicholasknight/181375ee15f9cb89d3c69f4cc2b63df9) - Experiment with accessing the FAT12 filesystem
-   [Adding extra keys to your Kinesis Advantage](https://geekhack.org/index.php?topic=26579.0) 
-   [Backlit Kinesis board on YouTube](https://youtu.be/n8WKy7WP7Ls) - Kinesis with LEDs in action
-   [Backlit Kinesis write up](https://geekhack.org/index.php?topic=45078.0) - Write up on the abovementioned backlit Kinesis
-   [Changing the Key Switches in a Kinesis Advantage Keyboard](http://www.gilesorr.com/misc/keyboards/kinesiskeys.html) - Brief guide on replacing the switches
-   [Keyboard firmware](https://github.com/chrisandreae/keyboard-firmware) - Replacement firmware for various keyboard (Kinesis, Ergodox) using an Atmel AVR microcontroller
-   [Kinesis Advantage Keyboard Case](http://www.jones.ec/blogs/a/entry/kinesis_advantage_keyboard_case/) - Get a case for your keyboard
-   [Kinesis Advantage with Cherry MX Green switches](https://imgur.com/a/lEqK7) - Great build log and inventory guide
-   [Kinesis Advantage with DSA keycaps](http://sitr.us/2014/05/19/kinesis-advantage-with-dsa-keycaps.html) - Great reproducible writeup
-   [Kinesis Freestyle Keyboard Firmware Hacks](https://github.com/rbasoalto/kinesis-freestyle-fw-hack)
-   [Kinesis Freestyle 2 Keyboard 'Mod' (to Fix Media Keys)](http://alvarop.com/2013/08/kinesis-freestyle-2-keyboard-mod-to-fix-media-keys)
-   [Kinesis Keyboard Gallery](http://xahlee.info/kbd/keyboard_Kinesis_cool_gallery.html) - Cool gallery including lots of mods and even backlighting
-   [Kinesis remodeling plan](https://translate.google.com/translate?hl=en&ie=UTF8&prev=_t&rurl=translate.google.com&sl=ja&tl=en&twu=1&u=http://d.hatena.ne.jp/satromi/20081012/1223800934) - Translated from Japanese, someone adding a trackpoint to their keyboard
-   [Remapping Keypad on Kinesis Advantage Keyboard](http://geoff.evason.name/2015/04/30/remapping-keypad-on-a-kinesis-advantage-keyboard) - Use foot switch accessory (if you have one) to remap the keypad
-   [SA Profile Keys on a Kinesis Advantage](https://adereth.github.io/blog/2015/02/17/sa-profile-keys-on-a-kinesis-advantage/) - Lots of pictures and super cool colorful keycaps
-   [The Kinesis Contoured Keyboard and Dvorak Layout](http://joshcarter.com/productivity/kinesis_contoured_keyboard) - Hand painted Kinesis Contoured keyboard
-   [The Kinesis Conversion](http://tech.skryl.org/post/60613686455/the-kinesis-conversion) - Convert a Kinesis to use Cherry Blue switches

## References
*References for additional information about the Kinesis keyboard*
-   [Advantage2-SmartSet-App](https://github.com/KinesisCorporation/Advantage2-SmartSet-App) - Open sourced GUI for modifying the Advantage 2
-   [Keyboard layouts and maros for the Kinesis Advantage 2 keyboard.](https://github.com/farmergreg/kinesis-advantage-2) - Optimizing Kinesis usage for vim, programming, gaming and more!
-   [Keycap Replacement Charts](https://deskthority.net/wiki/Kinesis_Contoured#Keycaps) - by way of Deskthority
-   [@kinesisergo on Twitter](https://twitter.com/kinesisergo) - Kinesis Ergo on Twitter
-   [Kinesis Advantage - Everything you want to know but are afraid to task!](https://geekhack.org/index.php?topic=8110.0) - Detailed geekhack thread
-   [Kinesis Contoured on Deskthority](https://deskthority.net/wiki/Kinesis_Contoured) - Deskthority article
-   [Kinesis Keyboard Key Remap/Macro/Layout How-To](http://xahlee.info/kbd/kinesis_keyboard_howto.html) - Detailed guide on switching layouts, remapping keys, setting macros and more.
-   [Mechanical Aspects of Kinesis Advantage keys](https://www.fysh.org/~zefram/keyboard/advantage_keys_mech.txt) - Details on the physical and mechanical makeup of the keys
-   [Official Kinesis Manuals (all models)](https://www.kinesis-ergo.com/support/technical-support/manuals-drivers/) - Manuals for all models of Kinesis keyboards and accessories
-   [Wikipedia page on Kinesis (keyboard)](https://en.wikipedia.org/wiki/Kinesis_(keyboard)) - From Wikipedia, the free encyclopedia

## Shopping
-  [Kinesis Keyboards](https://www.kinesis-ergo.com/products/) - Kinesis keyboards website
-  [Seahorse SE-720 - Waterproof Case](http://www.seahorsecases.net/seahorse-se-720.html) - Case that may be used for your keyboard, as recommended above

## Software
-  [Linux Driver for Kinesis Freestyle 2](https://github.com/whereswaldon/kfreestyle2d)


